%define base gtk-engines
%define _name crux

Name: %base-crux
Version: 1.9.5
Release: alt2.5

Summary: A GTK+2 theme engine - Crux
License: GPL
Group: Graphical desktop/GNOME
Url: http://www.eazel.com/

Source: %_name-%version.tar.bz2
Source1: icons-Crux.tar.bz2

Obsoletes: %_name
Provides: %_name = %version-%release

%define gtk_ver 2.1.5
Requires: libgtk+2 >= %gtk_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver

# Automatically added by buildreq on Thu Oct 24 2002
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs bonobo-activation-devel esound-devel fontconfig-devel freetype2-devel glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libXft-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat libglade2-devel libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg-devel liblinc-devel libpango-devel libpopt-devel libssl-devel libxml2-devel pkgconfig zlib-devel

%description
A GTK+ theme engine named Crux and developed by Eazel, Inc.

%prep
%setup -q -n %_name-%version

%build
%configure
%make_build

%install
%makeinstall
%__mkdir_p %buildroot/%_iconsdir
%__tar -jxvf %SOURCE1 -C %buildroot%_iconsdir/
%__subst 's,\(Inherits=\).*$,\1Gnome,' %buildroot%_iconsdir/Crux/index.theme

%files
%_libdir/gtk-*/*/engines/*.so
%_datadir/eazel-engine
%_datadir/themes/*
%_iconsdir/*
%doc AUTHORS ChangeLog NEWS README THANKS TODO

%changelog
* Tue Feb 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.9.5-alt2.5
- icons added.

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.9.5-alt2.4
- new version.

* Wed Dec 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.9.3-alt2.4
- Rebuilt with gtk-2.1.5

* Fri Dec 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.9.3-alt2.3
- Rebuilt with gtk-2.1.3.

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.9.3-alt2.2
- Rebuilt with new gtk2.

* Thu Oct 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.9.3-alt2.1
- Rebuilt with new gtk2.

* Wed Oct 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.9.3-alt2
- Package renamed.

* Wed Oct 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.9.3-alt1
- First build for Sisyphus.
